API রেফারেন্স
OpenAI-সামঞ্জস্যপূর্ণ, Anthropic, Gemini এবং অ্যাসিঙ্ক্রোনাস মিডিয়া ওয়ার্কফ্লো জুড়ে একটি গেটওয়ে এবং API কী ব্যবহার করুন।
- সার্ভার
https://api.anyint.aiএই OpenAPI ডকুমেন্ট পরিবেশনকারী AnyInt Gateway উৎস।
74 এন্ডপয়েন্ট
ChatRoom ইন্টিগ্রেশন
3 এন্ডপয়েন্টDiscover key-scoped models and enterprise capabilities for independent ChatRoom clients.
Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/modelsঅনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/models?scope=<scope>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| scope | query | string | প্রয়োজনীয় | — |
| limit | query | integer | ঐচ্ছিক | —উদাহরণ: 1000 |
প্রতিক্রিয়া
{
"success": true,
"data": {
"models": [],
"total": 0
}
}Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/enterprise-contextঅনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/enterprise-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"success": true,
"data": {
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/key-contextঅনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/key-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"success": true,
"data": {
"userId": "user_example",
"apiKeyId": "key_example",
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}চ্যাট
2 এন্ডপয়েন্টOpenAI-কম্প্যাটিবল কনভারসেশনাল রেসপন্স তৈরি করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}প্রতিক্রিয়া
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}প্রতিক্রিয়া
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}রেসপন্স
2 এন্ডপয়েন্টOpenAI Responses API শেপের সাথে রেসপন্স তৈরি করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"input": "Write a short welcome message."
}প্রতিক্রিয়া
{
"id": "resp_example",
"object": "response",
"status": "completed"
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"input": "Write a short welcome message."
}প্রতিক্রিয়া
{
"id": "resp_example",
"object": "response",
"status": "completed"
}টেক্সট কমপ্লিশন
2 এন্ডপয়েন্টলিগ্যাসি OpenAI-কম্প্যাটিবল টেক্সট কমপ্লিশন তৈরি করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "Once upon a time"
}প্রতিক্রিয়া
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "Once upon a time"
}প্রতিক্রিয়া
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}এমবেডিং
2 এন্ডপয়েন্টটেক্সট ইনপুট থেকে ভেক্টর এমবেডিং তৈরি করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}মডারেশন
2 এন্ডপয়েন্টসম্ভাব্য ক্ষতিকারক টেক্সট বা ছবির ইনপুট ক্লাসিফাই করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"input": "Text to classify"
}প্রতিক্রিয়া
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"input": "Text to classify"
}প্রতিক্রিয়া
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}ব্যাচ
8 এন্ডপয়েন্টডিপ্লয়মেন্টের জন্য অবজেক্ট স্টোরেজ সক্রিয় থাকলে প্রোভাইডার-নেটিভ JSONL ব্যাচ জমা দিন।
অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| after | query | string | ঐচ্ছিক | — |
| limit | query | integer | ঐচ্ছিক | —উদাহরণ: 20 |
প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}প্রতিক্রিয়া
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| after | query | string | ঐচ্ছিক | — |
| limit | query | integer | ঐচ্ছিক | —উদাহরণ: 20 |
প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}প্রতিক্রিয়া
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| batch_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| batch_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| batch_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| batch_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}ফাইল
5 এন্ডপয়েন্টফাইল আপলোড, তালিকাভুক্ত, পরিদর্শন এবং ডাউনলোড করুন।
অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/document.jsonl' \
--form 'purpose=batch'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"file": "document.jsonl",
"purpose": "batch"
}প্রতিক্রিয়া
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| file_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}অনুরোধের উদাহরণ
curl \
--request DELETE \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| file_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "file_example",
"object": "file",
"deleted": true
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| file_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
<binary>অডিও
3 এন্ডপয়েন্টঅডিও ট্রান্সক্রাইব করুন, অডিও ইংরেজিতে অনুবাদ করুন, অথবা স্পিচ সিন্থেসাইজ করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/transcriptions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"file": "audio.wav",
"model": "your-model-id"
}প্রতিক্রিয়া
{
"text": "Example transcript."
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/translations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"file": "audio.wav",
"model": "your-model-id"
}প্রতিক্রিয়া
{
"text": "Example transcript."
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/speech' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: audio/mpeg' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}প্রতিক্রিয়া
<binary>ছবি
4 এন্ডপয়েন্টGenerate and edit images with OpenAI-compatible requests.
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}প্রতিক্রিয়া
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}প্রতিক্রিয়া
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}প্রতিক্রিয়া
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}প্রতিক্রিয়া
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}মডেল
4 এন্ডপয়েন্টপ্রতিটি প্রোটোকলের মাধ্যমে উপলব্ধ মডেলগুলি খুঁজুন।
অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/anthropic/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"data": [
{
"id": "your-model-id",
"type": "model",
"display_name": "Configured model",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"has_more": false,
"first_id": "your-model-id",
"last_id": "your-model-id"
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/gemini/v1beta/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"models": [
{
"name": "models/your-model-id",
"displayName": "Configured model",
"supportedGenerationMethods": [
"generateContent"
],
"inputTokenLimit": 8192,
"outputTokenLimit": 8192
}
]
}অ্যাসিঙ্ক্রোনাস মিডিয়া
26 এন্ডপয়েন্টঅ্যাসিঙ্ক্রোনাস ছবি, ভিডিও এবং মিউজিক জব তৈরি এবং পরিদর্শন করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
<binary>অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
<binary>অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
<binary>অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
<binary>অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/suno/generate' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/suno/query/task?taskId=<taskId>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| taskId | query | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/doubao/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/image-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}প্রতিক্রিয়া
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/video-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}প্রতিক্রিয়া
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}প্রতিক্রিয়া
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/music-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}প্রতিক্রিয়া
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/music/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}প্রতিক্রিয়া
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্রতিক্রিয়া
{
"object": "list",
"data": [
{
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}অনুরোধের উদাহরণ
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/artifacts/<artifact_id>?tenant_id=<tenant_id>&expires_at=<expires_at>&signature=<signature>' \
--header 'Accept: application/octet-stream'প্রমাণীকরণ
কোনো প্রমাণীকরণের প্রয়োজন নেই
প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| task_id | path | string | প্রয়োজনীয় | — |
| artifact_id | path | string | প্রয়োজনীয় | — |
| tenant_id | query | string | প্রয়োজনীয় | — |
| expires_at | query | integer | প্রয়োজনীয় | — |
| signature | query | string | প্রয়োজনীয় | — |
প্রতিক্রিয়া
<binary>Anthropic মেসেজ
2 এন্ডপয়েন্টAnthropic-নেটিভ মেসেজ, টোকেন গণনা এবং মডেল ডিসকভারি ব্যবহার করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}প্রতিক্রিয়া
{
"id": "msg_example",
"type": "message",
"role": "assistant",
"content": [
{
"type": "text",
"text": "Edge computing runs workloads near the data source."
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages/count_tokens' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।অনুরোধের বডি
প্রয়োজনীয়{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}প্রতিক্রিয়া
{
"input_tokens": 12
}Gemini কন্টেন্ট
4 এন্ডপয়েন্টGemini-নেটিভ কন্টেন্ট জেনারেশন এবং স্ট্রিমিং ব্যবহার করুন।
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| model | path | string | প্রয়োজনীয় | — |
অনুরোধের বডি
প্রয়োজনীয়{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}প্রতিক্রিয়া
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| model | path | string | প্রয়োজনীয় | — |
| alt | query | string | ঐচ্ছিক | — |
অনুরোধের বডি
প্রয়োজনীয়{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}প্রতিক্রিয়া
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}
অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| model | path | string | প্রয়োজনীয় | — |
অনুরোধের বডি
প্রয়োজনীয়{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}প্রতিক্রিয়া
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}অনুরোধের উদাহরণ
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'প্রমাণীকরণ
http · bearerAuthorization হেডারে Bearer টোকেন হিসাবে AnyInt ডেভেলপার API কী পাস করুন।প্যারামিটার
| নাম | অবস্থান | টাইপ | প্রয়োজনীয় | বর্ণনা |
|---|---|---|---|---|
| model | path | string | প্রয়োজনীয় | — |
| alt | query | string | ঐচ্ছিক | — |
অনুরোধের বডি
প্রয়োজনীয়{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}প্রতিক্রিয়া
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}